package com.yeejoin.amos.api.householdapi.face.service;

import com.yeejoin.amos.api.householdapi.face.orm.houseapi.entity.tdeingine.ImasterCollectorList;
import com.yeejoin.amos.api.householdapi.face.orm.houseapi.entity.tdeingine.ImasterInverterList;
import com.yeejoin.amos.api.householdapi.face.orm.houseapi.entity.tdeingine.ImasterInverterListDetails;

import java.util.List;

public interface ImasterDataService {

    /**
     * @descrption 场站列表数据入库
     */
    void stationList();
    /**
     * @descrption 场站详情数据入库
     */
    void stationDetail();
    /**
     * @descrption 采集器列表数据入库
     */
    void collectorList();
    /**
     * @descrption 采集器详情数据入库
     */
    void collectorDetail();
    /**
     * @descrption 逆变器列表数据入库
     */
    void inverterList(List<ImasterCollectorList> result);
    /**
     * @descrption 逆变器详情数据入库
     */
    void inverterDetail(List<ImasterInverterListDetails> result);
    /**
     * @descrption 采集器告警列表数据入库
     */
    void inverAlramInfo();
}
